<?php

namespace Modules\Facture\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class IndicateurFacture
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function index() : bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_VISU') && Roles::droitsUtilisateur($this->pdo, 'U8zXaa77yt');
    }
}
